#import <appkit/Application.h>

@interface MyApp:Application
{
  id videoView;
  id inputBox;		// Inspector for Input
  id outputBox;		// Inspector for Output
  id window;		// Inspector window
  id bufWindow;		// Buffered Video Window
  id nretWindow;		// NonRetained Window
  id ioPopup;		// Popup menu for I/O
  id retainedButton;	// Switch for buffered/nonretained window
  BOOL buffed;		// Boolean for whether the window is buffered 
  int mode;		// NX_FROMINPUT or NX_FROMVIEW
}

- appDidInit:sender;
- setMode:sender;
- setInput:sender;

- setBrightness:sender;
- setGamma:sender;
- setOutGamma:sender;
- setHue:sender;
- setSaturation:sender;
- setSharpness:sender;

- swapWindows:sender;
- openImage:sender;
@end
