#import <video/NXLiveVideoView.h>

@interface CustomVideoView:NXLiveVideoView
{
  id theImage;		// The image that is displayed (output image)
  int theMode;		// Video Mode (NX_FROMINPUT,NX_FROMVIEW)
  NXRect grabRect;		// The bounds of the captured image
  NXSize imageSize;		// Size of output image
  NXPoint imagePoint;	// Location of output image
  BOOL actualSize;		// State of how image should be drawn
  BOOL changed;		// tells the image to recache itself
}

- mouseDown:(NXEvent *)theEvent;
- grab:sender;
- setImage:sender;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- setOutputMode:(int)mode;
- setActualSize:sender;
- clear:sender;
@end
